

package gov.va.med.cds.template;


import gov.va.med.cds.clinicaldata.TemplateMetaDataInterface;

import java.util.Collection;


public interface TemplateServiceInterface
{
    Collection<String> getVhimVersions( )
        throws TemplateServiceException;

    Collection<String> getActiveTemplateIds( String aVhimVersion )
        throws TemplateServiceException;

    TemplateMetaDataInterface getTemplateMetaData( String aTemplateId )
        throws TemplateServiceException;

    void initialize( );

    boolean isAlive( );

}
